#
# Conditional build:
%bcond_without	ssh		# SSH support
%bcond_without	ssl		# SSL support
%bcond_with	gnutls		# GnuTLS instead of OpenSSL
%bcond_without	kerberos5	# Heimdal Kerberos 5 support
%bcond_without	ldap		# LDAP support
%bcond_without	http2		# HTTP/2.0 support (nghttp2 based)
%bcond_without	metalink	# metalink support
%if "%{pld_release}" != "ac"
%bcond_without	ares		# c-ares (asynchronous DNS operations) library support
%bcond_without	rtmp		# Real Time Media Protocol support
%else
%bcond_with	ares		# c-ares (asynchronous DNS operations) library support
%bcond_with	rtmp		# Real Time Media Protocol support
%endif

Summary:	A utility for getting files from remote servers (FTP, HTTP, and others)
Summary(es.UTF-8):	Un cliente para bajar archivos de servidores (FTP, HTTP, y otros)
Summary(pl.UTF-8):	Narzędzie do ściągania plików z serwerów (FTP, HTTP i innych)
Summary(pt_BR.UTF-8):	Busca URL (suporta FTP, TELNET, LDAP, GOPHER, DICT, HTTP e HTTPS)
Summary(ru.UTF-8):	Утилита для получения файлов с серверов FTP, HTTP и других
Summary(uk.UTF-8):	Утиліта для отримання файлів з серверів FTP, HTTP та інших
Name:		curl
Version:	7.45.0
Release:	1
License:	MIT-like
Group:		Applications/Networking
Source0:	http://curl.haxx.se/download/%{name}-%{version}.tar.lzma
# Source0-md5:	c9a0a77f71fdc6b0f925bc3e79eb77f6
Patch0:		%{name}-ac.patch
Patch1:		%{name}-krb5flags.patch
URL:		http://curl.haxx.se/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
%{?with_ares:BuildRequires:	c-ares-devel >= 1.7.0}
%{?with_kerberos5:BuildRequires:	heimdal-devel}
BuildRequires:	libidn-devel >= 0.4.1
%{?with_metalink:BuildRequires:	libmetalink-devel}
%{?with_rtmp:BuildRequires:	librtmp-devel}
%{?with_ssh:BuildRequires:	libssh2-devel >= 1.2.8}
BuildRequires:	libtool
BuildRequires:	nettle-devel
%{?with_http2:BuildRequires:	nghttp2-devel >= 1.0}
%{?with_ldap:BuildRequires:	openldap-devel}
BuildRequires:	pkgconfig
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpmbuild(macros) >= 1.527
%if %{with ssl}
%if %{with gnutls}
BuildRequires:	gnutls-devel
%else
BuildRequires:	openssl-devel >= 1.0.1
%endif
%endif
BuildRequires:	tar >= 1:1.22
BuildRequires:	zlib-devel
Requires:	%{name}-libs = %{version}-%{release}
Requires:	libidn >= 0.4.1
Obsoletes:	libcurl2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
cURL is a tool for getting files with URL syntax, supporting FTP,
HTTP, HTTPS, GOPHER, TELNET, DICT, FILE and LDAP. cURL supports HTTP
POST, HTTP PUT, FTP uploading, HTTP form based upload, proxies,
cookies, user+password authentication and a busload of other useful
tricks. The main use for curl is when you want to get or send files
automatically to or from a site using one of the supported protocols.

cURL is a tool for getting files from FTP, HTTP, Gopher, Telnet, and
Dict servers, using any of the supported protocols. cURL is designed
to work without user interaction or any kind of interactivity. cURL
offers many useful capabilities, like proxy support, user
authentication, FTP upload, HTTP post, and file transfer resume.

%description -l pl.UTF-8
cURL jest narzędziem do ściągania plików o składni URL. Obsługuje FTP,
HTTP, HTTPS, GOPHER, TELNET, DICT, FILE i LDAP. cURL obsługuje również
HTTP POST, HTTP PUT, załadowywanie (uploading) FTP, załadowywanie HTTP
oparte na formularzu, serwery proksy, ciasteczka, autoryzacja
użytkownik/hasło oraz wiele innych użytecznych sztuczek. Curla używa
się głównie wtedy, kiedy chce się automatycznie ściągnąć lub wysłać
pliki z/na serwer używając jednego z dostępnych protokołów.
%{?with_ssl:Ten pakiet obsługuje także SSL.}

%description -l pt_BR.UTF-8
Curl é um cliente para baixar/enviar arquivos de/para servidores
usando um dos protocolos suportados. É projetado para funcionar sem a
interação do usuário.

Curl trabalha com proxy, autenticação, FTP put, HTTP post, e pode
continuar transferências interrompidas, e mais...

%description -l ru.UTF-8
curl - это клиент с множеством поддерживаемых протоколов для получения
файлов с серверов, спроектированный для работы как в неинтерактивном
режиме, так и с возможностью диалога с пользователем.

curl поддерживает много полезных возможностей, среди которых поддержка
прокси, авторизация пользователя, закачивание по FTP, поддержка HTTP
POST, восстановление прерванной пересылки и многое другое.

curl - це кл╕╓нт з багатьма п╕дтримуваними протоколами для отримання
файл╕в з сервер╕в, спроектований для роботи як в не╕нтерактивному
режим╕, так ╕ з можлив╕стю д╕алогу з користувачем.

curl п╕дтриму╓ багато корисних можливостей, серед яких п╕дтримка
прокс╕, авторизац╕я користувача, в╕двантаження по FTP, HTTP POST,
в╕дновлення перервано╖ пересилки та багато ╕ншого.

%package libs
Summary:	curl library
Summary(pl.UTF-8):	Biblioteka curl
Group:		Libraries
%{?with_ares:Requires:	c-ares >= 1.7.0}
%{?with_ssh:Requires:	libssh2 >= 1.2.8}
%{?with_http2:Requires:	nghttp2 >= 1.0}
%if %{with ssl} && %{without gnutls}
Requires:	openssl >= 1.0.1
%endif
Suggests:	ca-certificates
Conflicts:	ca-certificates < 20080809-4

%description libs
curl library.

%description libs -l pl.UTF-8
Biblioteka curl.

%package devel
Summary:	Header files and development documentation for curl library
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do biblioteki curl
Summary(pt_BR.UTF-8):	Arquivos de cabeçalho e bibliotecas de desenvolvimento
Summary(ru.UTF-8):	Файлы для разработки с использованием библиотеки curl
Summary(uk.UTF-8):	Файли для розробки з використанням бібліотеки curl
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
%{?with_ares:Requires:	c-ares-devel}
%{?with_kerberos5:Requires:	heimdal-devel}
Requires:	libidn-devel >= 0.4.1
%{?with_rtmp:Requires:	librtmp-devel}
%{?with_ssh:Requires:	libssh2-devel >= 1.2.8}
%{?with_http2:Requires:	nghttp2-devel >= 1.0}
%{?with_ldap:Requires:	openldap-devel}
%if %{with ssl}
%if %{with gnutls}
Requires:	gnutls-devel
%else
Requires:	openssl-devel >= 0.9.7c
%endif
%endif
Requires:	zlib-devel
Obsoletes:	libcurl2-devel

%description devel
Header files and development documentation for curl library.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja do biblioteki curl.

%description devel -l pt_BR.UTF-8
Arquivos de cabeçalho e bibliotecas de desenvolvimento.

%description devel -l ru.UTF-8
Этот пакет содержит файлы, необходимые для разработки программ с
использованием библиотеки curl.

%description devel -l uk.UTF-8
Цей пакет містить файли, необхідні для розробки програм з
використанням бібліотеки curl.

%package static
Summary:	Static version of curl library
Summary(pl.UTF-8):	Statyczna wersja biblioteki curl
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com o curl
Summary(ru.UTF-8):	Статические библиотеки для разработки с использованием библиотеки curl
Summary(uk.UTF-8):	Статичні бібліотеки для розробки з використанням бібліотеки curl
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of curl library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki curl.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com o curl.

%description static -l ru.UTF-8
Этот пакет содержит статическую библиотеку для разработки программ с
использованием библиотеки curl.

%description static -l uk.UTF-8
Цей пакет містить статичну бібліотеку для розробки програм з
використанням бібліотеки curl.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%{__rm} m4/lt*.m4 m4/libtool.m4

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	ac_cv_header_gss_h=no \
%if %{with ssl}
	--with-ca-bundle=/etc/certs/ca-certificates.crt \
%if %{with gnutls}
	--with-gnutls --without-ssl \
%else
	--with-ssl=%{_prefix} \
%endif
%endif
	%{__with_without kerberos5 gssapi %{_prefix}} \
	%{__with_without metalink libmetalink} \
	%{__with_without rtmp librtmp} \
	%{__with_without http2 nghttp2} \
	%{__enable_disable ares} \
	%{__with_without ssh libssh2} \
	--enable-ipv6 \
	%{__enable_disable ldap} \
	%{__enable_disable ldap ldaps}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# no longer in upstream but a lot of apps tries to include it so we create fake one
[ -e $RPM_BUILD_ROOT%{_includedir}/curl/types.h ] && exit 1
echo '#warning curl/types.h IS OBSOLETE FROM 2004. STOP USING IT' > $RPM_BUILD_ROOT%{_includedir}/curl/types.h

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES COPYING README docs/{BUGS,FAQ,FEATURES,HISTORY,KNOWN_BUGS,MANUAL,SSLCERTS,THANKS,TODO,TheArtOfHttpScripting}
%attr(755,root,root) %{_bindir}/curl
%{_mandir}/man1/curl.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcurl.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcurl.so.4

%files devel
%defattr(644,root,root,755)
%doc docs/{CONTRIBUTE,INTERNALS,LICENSE-MIXING,RESOURCES}
%attr(755,root,root) %{_bindir}/curl-config
%attr(755,root,root) %{_libdir}/libcurl.so
%{_libdir}/libcurl.la
%{_includedir}/curl
%{_pkgconfigdir}/libcurl.pc
%{_aclocaldir}/libcurl.m4
%{_mandir}/man1/curl-config.1*
%{_mandir}/man3/curl_*.3*
%{_mandir}/man3/libcurl*.3*
%{_mandir}/man3/CURLINFO_*.3*
%{_mandir}/man3/CURLOPT_*.3*
%{_mandir}/man3/CURLMOPT_*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libcurl.a
%changelog
* Fri Oct 09 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/curl.git;a=log;h=master

* Fri Oct 09 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 0efd10e
- up to 7.45.0

* Sun Aug 23 2015 Łukasz Kieś <kiesiu@pld-linux.org> 5c43218
- updated to 7.44.0

* Thu Jun 25 2015 Jakub Bogusz <qboosh@pld-linux.org> 71a00fe
- updated to 7.43.0
- updated krb5flags patch

* Wed Jun 03 2015 Jacek Konieczny <jajcus@jajcus.net> 747ec0f
- without ssh2 fix

* Wed Jun 03 2015 Jacek Konieczny <jajcus@jajcus.net> 838a6ed
- fix bcond disabling

* Sat May 09 2015 Jakub Bogusz <qboosh@pld-linux.org> fa8b4b5
- updated to 7.42.1

* Wed Apr 22 2015 Kacper Kornet <draenog@pld-linux.org> a2c3b72
- up to 7.42.0; fixes CVE-2015-3143, CVE-2015-3144, CVE-2015-3145,
  CVE-2015-3148

* Tue Mar 31 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 8424568
- rel 2; enable http2

* Fri Feb 27 2015 Jakub Bogusz <qboosh@pld-linux.org> ead0b60
- updated to 7.41.0
- removed obsolete gssapi patch

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 3fb3a13
- x32 rebuild
- release 2 (by relup.sh)

* Fri Jan 09 2015 Kacper Kornet <draenog@pld-linux.org> f10e42c
- up to 7.40.0; fixes CVE-2014-8150, CVE-2014-8151

* Thu Nov 06 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> eb7a78c
- up to 7.39.0; fixes CVE-2014-3707

* Mon Oct 20 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 674ad6e
- release 2 (by relup.sh)

* Sun Sep 14 2014 Jakub Bogusz <qboosh@pld-linux.org> d68c2f4
- updated nghttp2 version

* Thu Sep 11 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 4b52051
- up to 7.38.0; fixes CVE-2014-3620, CVE-2014-3613

* Sat Jul 19 2014 Jakub Bogusz <qboosh@pld-linux.org> 6774476
- updated to 7.37.1
- updated krb5flags

* Fri May 23 2014 Jakub Bogusz <qboosh@pld-linux.org> deb3ecb
- updated to 7.37.0
- removed obsolete http2 patch

* Mon Mar 31 2014 Jakub Bogusz <qboosh@pld-linux.org> 358ad66
- updated to 7.36.0
- added http2 patch (fixes nghttp2 detection)
- removed outdated metalink patch

* Sun Feb 02 2014 Jakub Bogusz <qboosh@pld-linux.org> 66d5901
- updated to 7.35.0 (fixes CVE-2014-0015)

* Thu Jan 02 2014 Jakub Bogusz <qboosh@pld-linux.org> 1399f3f
- package libcurl.m4

